searchNodes=[{"ref":"SpeechMarkdown.html","title":"SpeechMarkdown","type":"module","doc":"Elixir implementation for the Speech Markdown format. https://www.speechmarkdown.org/ Speech Markdown is a text format which is akin to regular Markdown, but with an alternative syntax and built for the purpose of generating platform-specific SSML markup. The Speech Markdown transpiler converts the given Speeach Markdown text to the Speech Synthesis Markup Language (SSML) format. The results are returned as an SSML string. Currently, SMD → SSML support is available in a general variant, and specific SSML variants for the Amazon Alexa and Google Assistant platforms."},{"ref":"SpeechMarkdown.html#to_plaintext/1","title":"SpeechMarkdown.to_plaintext/1","type":"function","doc":"Convert the given Speech Markdown into plain text."},{"ref":"SpeechMarkdown.html#to_plaintext!/1","title":"SpeechMarkdown.to_plaintext!/1","type":"function","doc":""},{"ref":"SpeechMarkdown.html#to_ssml/2","title":"SpeechMarkdown.to_ssml/2","type":"function","doc":"Convert the given Speech Markdown into SSML. Options: xml_declaration - boolean to indicate whether we need the XML declaration in the output, default false variant - Which SSML variant to choose from. Either :general, :alexa or :google; defaults to :general. validate - :strict (default) or :loose; when strict, return error when encountering invalid syntax, unknown attributes or unknown attribute values; when :loose, such errors are ignored."},{"ref":"SpeechMarkdown.html#to_ssml!/2","title":"SpeechMarkdown.to_ssml!/2","type":"function","doc":""},{"ref":"SpeechMarkdown.html#t:option/0","title":"SpeechMarkdown.option/0","type":"type","doc":""},{"ref":"SpeechMarkdown.html#t:options/0","title":"SpeechMarkdown.options/0","type":"type","doc":""},{"ref":"SpeechMarkdown.ParseError.html","title":"SpeechMarkdown.ParseError","type":"exception","doc":"Raised when a Speech Markdown string failes to parse using SpeechMarkdown.to_ssml!/2"},{"ref":"SpeechMarkdown.ParseError.html#new/1","title":"SpeechMarkdown.ParseError.new/1","type":"function","doc":""},{"ref":"readme.html","title":"SpeechMarkdown","type":"extras","doc":"SpeechMarkdown Speech Markdown transpiler for Elixir. This library converts text in the Speech Markdown format to SSML for processing by Text-To-Speech APIs, etc."},{"ref":"readme.html#status","title":"SpeechMarkdown - Status","type":"extras","doc":"The API reference is available here."},{"ref":"readme.html#installation","title":"SpeechMarkdown - Installation","type":"extras","doc":"def deps do [ {:speechmarkdown, &quot;~&gt; 0.2&quot;} ] end"},{"ref":"readme.html#usage","title":"SpeechMarkdown - Usage","type":"extras","doc":"As of version 0.2, the entire Speech Markdown specification is supported and unified over the multiple implementations (JS, Elixir) under a single collection of reference test cases. iex&gt; SpeechMarkdown.to_ssml!(&quot;You say pecan, I say (pecan)[/pɪˈkɑːn/].&quot;) &quot;&lt;speak&gt;You say pecan, I say &lt;phoneme alphabet=\\&quot;ipa\\&quot; ph=\\&quot;pɪˈkɑːn\\&quot;&gt;pecan&lt;/phoneme&gt;.&lt;/speak&gt;&quot; The library supports the :general, :alexa and :google variants of SSML. Some Speech Markdown tags are only available on those platforms, e.g. [whisper]: iex&gt; SpeechMarkdown.to_ssml!(&quot;#[whisper] I can see dead people&quot;, variant: :alexa) &quot;&lt;speak&gt;&lt;amazon:effect name=\\&quot;whispered\\&quot;&gt;I can see dead people&lt;/amazon:effect&gt;&lt;/speak&gt;&quot; The following Speech Markdown modifiers are supported: break characters ipa number"},{"ref":"readme.html#license","title":"SpeechMarkdown - License","type":"extras","doc":"Copyright 2020 Spokestack, Inc. Copyright 2020 Bwisc B.V. (Botsquad). Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."}]